function [ outLabels ] = computeLabels( table, seed )
%COMPUTELABELS Summary of this function goes here
%   Detailed explanation goes here
S = size(table,2);
T = size(table,1);
S2 = numel(seed);
if S ~= S2
    error('You need to provide exactly one label per node of the graph')
end


outLabels = cell(T,1);

for t = 1 : T
    str = '';
    where = find(table(t,:) == 1);
    for w = 1 : length(where)
        str = [str, seed{where(w)}];
    end
    outLabels{t} = str;
end
   


end

