function [ sysOut ] = transposeSystem( mySys )
%TRANSPOSESYSTEM Summary of this function goes here
%   Detailed explanation goes here

E = mySys.getEdges;
M = mySys.getMatrices;
L = mySys.getLabels;
Enew = E;
Enew(:,1) = E(:,2);
Enew(:,2) = E(:,1);
for m = 1 : length(M)
    M{m} = M{m}';
end
for l = 1 : length(L)
    lab = L{l};
    lab = lab(end:-1:1);
    L{l} = lab;
end
sysOut = CSSystem(Enew, M, L);
end

