function [ outNames ] = getObserverNodeNames( setTable, names )
%COMPUTELABELS Summary of this function goes here
%   Detailed explanation goes here
S = size(setTable,2);
T = size(setTable,1);
S2 = numel(names);
if S ~= S2
    error('You need to provide exactly one label per node of the graph')
end
outNames = cell(T,1);

for t = 1 : T
    str = '';
    where = find(setTable(t,:) == 1);
    for w = 1 : length(where)
        str = [str, names{where(w)}];
    end
    outNames{t} = str;
end
   


end

